# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.extensions
Class EventEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<E>
                  com.google.gdata.data.extensions.BaseEventEntry<EventEntry>
                      com.google.gdata.data.extensions.EventEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class EventEntry

extends BaseEventEntry<EventEntry>

Extension class for manipulating entries of the Event kind.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.extensions.BaseEventEntry
`BaseEventEntry.EventStatus, BaseEventEntry.Transparency, BaseEventEntry.Visibility`

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static Category` `EVENT_CATEGORY` Kind category used to label feeds or entries that have Event extension data.
`static java.lang.String` `EVENT_KIND` Kind term value for Event category labels.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`EventEntry()` Constructs a new EventEntry with the appropriate kind category to indicate that it is an event.
`EventEntry(BaseEntry<?> sourceEntry)` Constructs a new EventEntry instance by doing a shallow copy of data from an existing BaseEntry instance.

Method Summary
`void` `addParticipant(Who participant)` Adds a new event participant.
`void` `declareExtensions(ExtensionProfile extProfile)` Initializes an ExtensionProfile based upon the extensions expected by an EventEntry.
`java.util.List<Who>` `getParticipants()` Returns the list of event participants.

Methods inherited from class com.google.gdata.data.extensions.BaseEventEntry
`addLocation, addRecurrenceException, addTime, getLocations, getOriginalEvent, getRecurrence, getRecurrenceException, getReminder, getStatus, getTimes, getTransparency, getVisibility, setOriginalEvent, setRecurrence, setStatus, setTransparency, setVisibility`

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EVENT_KIND

    public static final java.lang.String EVENT_KIND

  Kind term value for Event category labels.

  See Also:
    Constant Field Values

### EVENT_CATEGORY

    public static final Category EVENT_CATEGORY

  Kind category used to label feeds or entries that have Event extension data.

Constructor Detail

### EventEntry

    public EventEntry()

  Constructs a new EventEntry with the appropriate kind category to indicate that it is an event.

### EventEntry

    public EventEntry(BaseEntry<?> sourceEntry)

  Constructs a new EventEntry instance by doing a shallow copy of data from an existing BaseEntry instance.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Initializes an ExtensionProfile based upon the extensions expected by an EventEntry.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `BaseEventEntry<EventEntry>`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getParticipants

    public java.util.List<Who> getParticipants()

  Returns the list of event participants.

### addParticipant

    public void addParticipant(Who participant)

  Adds a new event participant.